-
Declaration
Swift
func registerRoutes(_ app: Application) throws -
eventsPageHandler(_:Asynchronous) GET /eventsBy default, shows a day’s worth events. Always attempts to show events from a day on the actual cruise. Uses
Settings.shared.cruiseStartDatefor cruise dates; the ingested schedule should have events for that day and the next 7 days.Use the ‘day’ or ‘cruiseday’ query parameter to request which day to show. If no parameter given, uses the current day of week.
When the search parameter is used, returns events for the entire cruise, that match the search value.
Query Parameters:
- day=STRING One of: “sun” … “sat”. Can also use “1sat” for first Saturday (embarkation day), or “2sat” for the next Saturday.
- cruiseday=INT Generally 1…8, where 1 is embarkation day.
- search=STRING Filter only events that match the given string.
Declaration
Swift
func eventsPageHandler(_ req: Request) async throws -> View -
eventGetPageHandler(_:Asynchronous) Declaration
Swift
func eventGetPageHandler(_ req: Request) async throws -> View -
eventsDownloadICSHandler(_:Asynchronous) Declaration
Swift
func eventsDownloadICSHandler(_ req: Request) async throws -> Response -
personalEventDownloadICSHandler(_:Asynchronous) Declaration
Swift
func personalEventDownloadICSHandler(_ req: Request) async throws -> Response -
eventsDownloadFollowingHandler(_:Asynchronous) Declaration
Swift
func eventsDownloadFollowingHandler(_ req: Request) async throws -> Response -
eventsAddRemoveFavoriteHandler(_:Asynchronous) Declaration
Swift
func eventsAddRemoveFavoriteHandler(_ req: Request) async throws -> HTTPStatus -
eventsAddRemovePhotographerHandler(_:Asynchronous) Declaration
Swift
func eventsAddRemovePhotographerHandler(_ req: Request) async throws -> HTTPStatus -
eventsAddRemoveNeedsPhotographerHandler(_:Asynchronous) Declaration
Swift
func eventsAddRemoveNeedsPhotographerHandler(_ req: Request) async throws -> HTTPStatus -
photographerReportPageHandler(_:Asynchronous) GET /events/photographerreportPaginated table of photography coverage: event time, title, assigned photographers, and whether the event was flagged as needing a photographer. Optional
See morecruisedayuses Event indexing (embarkation day is 1). Caller must be a Shutternaut Manager or TwitarrTeam and above.Declaration
Swift
func photographerReportPageHandler(_ req: Request) async throws -> View -
photographerReportDownloadHandler(_:Asynchronous) GET /events/photographerreport/downloadDownloads a CSV of all photography-coverage rows matching the current cruise-day filter (not just the current HTML page). Proxies
GET /api/v3/events/photographerreport/download.Declaration
Swift
func photographerReportDownloadHandler(_ req: Request) async throws -> Response -
Declaration
Swift
private func requirePhotographerReportAccess(_ req: Request) throws -
Declaration
Swift
private func photographerReportQueryItems(_ query: PhotographerReportQueryStruct, start: Int?, limit: Int?) -> [URLQueryItem] -
fetchPhotographerReportPage(_:Asynchronousquery: start: limit: ) Declaration
Swift
private func fetchPhotographerReportPage( _ req: Request, query: PhotographerReportQueryStruct, start: Int?, limit: Int? ) async throws -> Paginated<ShutternautScheduleReportData>
View on GitHub